<template>
  <!-- 列表 -->
  <ContentWrap>
    <el-table v-loading="loading" :data="list" :stripe="true" :show-overflow-tooltip="true">
      <el-table-column label="ID" align="center" prop="id" />
      <el-table-column label="项目" align="center" prop="subject" />
      <el-table-column label="预期" align="center" prop="expect" />
      <el-table-column label="结果" align="center" prop="result" />
      <el-table-column label="明细状态" align="center" prop="detailStatus">
        <template #default="scope">
          <dict-tag :type="DICT_TYPE.MES_PASS_OR_NOPASS" :value="scope.row.detailStatus" />
        </template>
      </el-table-column>
      <el-table-column
        label="创建时间"
        align="center"
        prop="createTime"
        :formatter="dateFormatter"
        width="180px"
      />
     </el-table>
  </ContentWrap>
</template>
<script setup lang="ts">
import { DICT_TYPE } from '@/utils/dict'
import { dateFormatter } from '@/utils/formatTime'
import { MoldRecordApi } from '@/api/mes/moldrecord'

const { t } = useI18n() // 国际化
const message = useMessage() // 消息弹窗

const props = defineProps<{
  recordId?: number // 维保记录id（主表的关联字段）
}>()
const loading = ref(false) // 列表的加载中
const list = ref([]) // 列表的数据

/** 查询列表 */
const getList = async () => {
  loading.value = true
  try {
    list.value = await MoldRecordApi.getMoldRecordSubjectDetailListByRecordId(props.recordId)
  } finally {
    loading.value = false
  }
}

/** 搜索按钮操作 */
const handleQuery = () => {
  queryParams.pageNo = 1
  getList()
}

/** 初始化 **/
onMounted(() => {
  getList()
})
</script>